Creates an app integration analytics

Creates a new app integration analytics.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Provides a data transfer object for the Analytics integration which is used for command requests.

appIntegrationIdstring · min: 1Required

This is used to associate this configuration with a specific integration instance.

trackingIdstring · min: 1Required

This ID is used to track and associate events/data with a specific analytics property or project.

apiKeystring · min: 1Required

This is usually embedded in the frontend to initialize and send data to the analytics platform.

apiSecretstring · nullableOptional

Gets or sets the API secret or verification URL used to authorize or validate requests from the Jframework.

metadatastring · nullableOptional

This can include environment-specific data, custom flags, or platform-specific information.

accountConfigNotesstring · nullableOptional

Gets or sets any additional notes or identifiers related to the account or setup that manages this Analytics configuration.

isDefaultbooleanOptional

Flag to indicate if the analytics integration is the default. By default, it is false.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/app-integrations/analytics

Last updated